The software used at production .
Sources for this description
Hirschmann MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.248.51.4.5.22
The software used at production .
Identification
{1 3 6 1 4 1 248 51 4 5 22}
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
hmSecProdSoft OBJECT-TYPE
SYNTAX DisplayString
ACCESS read-only
STATUS mandatory
DESCRIPTION
"The software used at production ."
::= { hmSecHardwareInformation 22 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
The software used at production .
Hirschmann MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: hmSecProdSoft
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"hmSecProdSoft",
"OBJECT-TYPE",
"SYNTAX",
"DisplayString",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The software used at production .\"",
"::=",
"{",
"hmSecHardwareInformation",
"22",
"}"
],
"syntax_tree": [
[
"row",
"DisplayString"
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The software used at production ."
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive. Hirschmann support.
Module: HmSecurityGateway-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['RowStatus', 'TruthValue', 'MacAddress'], 'RFC1155-SMI': ['enterprises'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.248.51.4.5.1 | hmSecHardware | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.2 | hmSecCPU | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.3 | hmSecCPUFamily | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.4 | hmSecCPUStepping | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.5 | hmSecCPUSpeed | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.6 | hmSecSystemTemperature | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.7 | hmSecUptime | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.8 | hmSecUSMem | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.9 | hmSecMAC1 | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.10 | hmSecMAC2 | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.11 | hmSecMAC3 | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.12 | hmSecSerialNumber | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.13 | hmSecVerParSet | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.14 | hmSecProductName | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.15 | hmSecOEMName | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.16 | hmSecOEMSerial | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.17 | hmSecManufacturer | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.18 | hmSecManuDate | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.19 | hmSecBootLoader | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.20 | hmSecHardwareVersion | 0 | 0 | |
| 1.3.6.1.4.1.248.51.4.5.21 | hmSecRescueSystem | 0 | 0 |